Batch content analysis
curl --request POST \
--url https://api.kynva.ai/api/v1/analyze/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"content": {
"headline": "<string>",
"body": "<string>",
"cta": "<string>",
"caption": "<string>",
"hashtags": [
"<string>"
]
}
}
]
}
'import requests
url = "https://api.kynva.ai/api/v1/analyze/batch"
payload = { "items": [{ "content": {
"headline": "<string>",
"body": "<string>",
"cta": "<string>",
"caption": "<string>",
"hashtags": ["<string>"]
} }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{
content: {
headline: '<string>',
body: JSON.stringify('<string>'),
cta: '<string>',
caption: '<string>',
hashtags: ['<string>']
}
}
]
})
};
fetch('https://api.kynva.ai/api/v1/analyze/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Analyze
Batch content analysis
Analyze multiple content items in a single request
POST
/
api
/
v1
/
analyze
/
batch
Batch content analysis
Authorizations
Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)
Body
application/json
Response
200
Default Response
⌘I